<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:29 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
AbstractConnPool (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractConnPool (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractConnPool.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html" title="class in org.apache.http.impl.conn.tsccm"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/conn/tsccm/AbstractConnPool.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractConnPool.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.conn.tsccm</FONT>
<BR>
Class AbstractConnPool</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.conn.tsccm.AbstractConnPool</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html" title="class in org.apache.http.impl.conn.tsccm">ConnPoolByRoute</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/AbstractConnPool.html?is-external=true" title="class or interface in org.apache.http.pool"><CODE>AbstractConnPool</CODE></A></I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public abstract class <B>AbstractConnPool</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
An abstract connection pool.
 It is used by the <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html" title="class in org.apache.http.impl.conn.tsccm"><CODE>ThreadSafeClientConnManager</CODE></A>.
 The abstract pool includes a <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#poolLock"><CODE>poolLock</CODE></A>, which is used to
 synchronize access to the internal pool datastructures.
 Don't use <code>synchronized</code> for that purpose!
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/IdleConnectionHandler.html" title="class in org.apache.http.impl.conn">IdleConnectionHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#idleConnHandler">idleConnHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#isShutDown">isShutDown</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Indicates whether this pool is shut down.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntryRef.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntryRef</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#issuedConnections">issuedConnections</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntry</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#leasedConnections">leasedConnections</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;References to issued connections</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#numConnections">numConnections</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The current total number of connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/locks/Lock.html?is-external=true" title="class or interface in java.util.concurrent.locks">Lock</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#poolLock">poolLock</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The global lock for this pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/ref/ReferenceQueue.html?is-external=true" title="class or interface in java.lang.ref">ReferenceQueue</A>&lt;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#refQueue">refQueue</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#AbstractConnPool()">AbstractConnPool</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a new connection pool.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#closeConnection(org.apache.http.conn.OperatedClientConnection)">closeConnection</A></B>(<A HREF="../../../../../../org/apache/http/conn/OperatedClientConnection.html" title="interface in org.apache.http.conn">OperatedClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Closes a connection from this pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#closeExpiredConnections()">closeExpiredConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#closeIdleConnections(long, java.util.concurrent.TimeUnit)">closeIdleConnections</A></B>(long&nbsp;idletime,
                     <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Closes idle connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#deleteClosedConnections()">deleteClosedConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Deletes all entries for closed connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#enableConnectionGC()">enableConnectionGC</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#freeEntry(org.apache.http.impl.conn.tsccm.BasicPoolEntry, boolean, long, java.util.concurrent.TimeUnit)">freeEntry</A></B>(<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntry</A>&nbsp;entry,
          boolean&nbsp;reusable,
          long&nbsp;validDuration,
          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;timeUnit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Returns an entry into the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntry</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#getEntry(org.apache.http.conn.routing.HttpRoute, java.lang.Object, long, java.util.concurrent.TimeUnit)">getEntry</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state,
         long&nbsp;timeout,
         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Obtains a pool entry with a connection within the given timeout.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#handleLostEntry(org.apache.http.conn.routing.HttpRoute)">handleLostEntry</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#handleReference(java.lang.ref.Reference)">handleReference</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/ref/Reference.html?is-external=true" title="class or interface in java.lang.ref">Reference</A>&lt;?&gt;&nbsp;ref)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/PoolEntryRequest.html" title="interface in org.apache.http.impl.conn.tsccm">PoolEntryRequest</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#requestPoolEntry(org.apache.http.conn.routing.HttpRoute, java.lang.Object)">requestPoolEntry</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Returns a new <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/PoolEntryRequest.html" title="interface in org.apache.http.impl.conn.tsccm"><CODE>PoolEntryRequest</CODE></A>, from which a <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm"><CODE>BasicPoolEntry</CODE></A>
 can be obtained, or the request can be aborted.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Shuts down this pool and all associated resources.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="poolLock"><!-- --></A><H3>
poolLock</H3>
<PRE>
protected final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/locks/Lock.html?is-external=true" title="class or interface in java.util.concurrent.locks">Lock</A> <B>poolLock</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The global lock for this pool.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="leasedConnections"><!-- --></A><H3>
leasedConnections</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/GuardedBy.html?is-external=true" title="class or interface in org.apache.http.annotation">@GuardedBy</A>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/GuardedBy.html?is-external=true#value()" title="class or interface in org.apache.http.annotation">value</A>="poolLock")
</FONT>protected <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntry</A>&gt; <B>leasedConnections</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>References to issued connections
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="numConnections"><!-- --></A><H3>
numConnections</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/GuardedBy.html?is-external=true" title="class or interface in org.apache.http.annotation">@GuardedBy</A>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/GuardedBy.html?is-external=true#value()" title="class or interface in org.apache.http.annotation">value</A>="poolLock")
</FONT>protected int <B>numConnections</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The current total number of connections.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="isShutDown"><!-- --></A><H3>
isShutDown</H3>
<PRE>
protected volatile boolean <B>isShutDown</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Indicates whether this pool is shut down.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="issuedConnections"><!-- --></A><H3>
issuedConnections</H3>
<PRE>
protected <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntryRef.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntryRef</A>&gt; <B>issuedConnections</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
</DL>
</DL>
<HR>

<A NAME="refQueue"><!-- --></A><H3>
refQueue</H3>
<PRE>
protected <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/ref/ReferenceQueue.html?is-external=true" title="class or interface in java.lang.ref">ReferenceQueue</A>&lt;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&gt; <B>refQueue</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
</DL>
</DL>
<HR>

<A NAME="idleConnHandler"><!-- --></A><H3>
idleConnHandler</H3>
<PRE>
protected <A HREF="../../../../../../org/apache/http/impl/conn/IdleConnectionHandler.html" title="class in org.apache.http.impl.conn">IdleConnectionHandler</A> <B>idleConnHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractConnPool()"><!-- --></A><H3>
AbstractConnPool</H3>
<PRE>
protected <B>AbstractConnPool</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a new connection pool.
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="enableConnectionGC()"><!-- --></A><H3>
enableConnectionGC</H3>
<PRE>
public void <B>enableConnectionGC</B>()
                        throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getEntry(org.apache.http.conn.routing.HttpRoute, java.lang.Object, long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
getEntry</H3>
<PRE>
public final <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntry</A> <B>getEntry</B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                                     <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state,
                                     long&nbsp;timeout,
                                     <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)
                              throws <A HREF="../../../../../../org/apache/http/conn/ConnectionPoolTimeoutException.html" title="class in org.apache.http.conn">ConnectionPoolTimeoutException</A>,
                                     <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Obtains a pool entry with a connection within the given timeout.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - the route for which to get the connection<DD><CODE>timeout</CODE> - the timeout, 0 or negative for no timeout<DD><CODE>tunit</CODE> - the unit for the <code>timeout</code>,
                  may be <code>null</code> only if there is no timeout
<DT><B>Returns:</B><DD>pool entry holding a connection for the route
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/conn/ConnectionPoolTimeoutException.html" title="class in org.apache.http.conn">ConnectionPoolTimeoutException</A></CODE> - if the timeout expired
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</A></CODE> - if the calling thread was interrupted</DL>
</DD>
</DL>
<HR>

<A NAME="requestPoolEntry(org.apache.http.conn.routing.HttpRoute, java.lang.Object)"><!-- --></A><H3>
requestPoolEntry</H3>
<PRE>
public abstract <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/PoolEntryRequest.html" title="interface in org.apache.http.impl.conn.tsccm">PoolEntryRequest</A> <B>requestPoolEntry</B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                                                  <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Returns a new <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/PoolEntryRequest.html" title="interface in org.apache.http.impl.conn.tsccm"><CODE>PoolEntryRequest</CODE></A>, from which a <A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm"><CODE>BasicPoolEntry</CODE></A>
 can be obtained, or the request can be aborted.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="freeEntry(org.apache.http.impl.conn.tsccm.BasicPoolEntry, boolean, long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
freeEntry</H3>
<PRE>
public abstract void <B>freeEntry</B>(<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">BasicPoolEntry</A>&nbsp;entry,
                               boolean&nbsp;reusable,
                               long&nbsp;validDuration,
                               <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;timeUnit)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Returns an entry into the pool.
 The connection of the entry is expected to be in a suitable state,
 either open and re-usable, or closed. The pool will not make any
 attempt to determine whether it can be re-used or not.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>entry</CODE> - the entry for the connection to release<DD><CODE>reusable</CODE> - <code>true</code> if the entry is deemed
                  reusable, <code>false</code> otherwise.<DD><CODE>validDuration</CODE> - The duration that the entry should remain free and reusable.<DD><CODE>timeUnit</CODE> - The unit of time the duration is measured in.</DL>
</DD>
</DL>
<HR>

<A NAME="handleReference(java.lang.ref.Reference)"><!-- --></A><H3>
handleReference</H3>
<PRE>
public void <B>handleReference</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/ref/Reference.html?is-external=true" title="class or interface in java.lang.ref">Reference</A>&lt;?&gt;&nbsp;ref)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="handleLostEntry(org.apache.http.conn.routing.HttpRoute)"><!-- --></A><H3>
handleLostEntry</H3>
<PRE>
protected abstract void <B>handleLostEntry</B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="closeIdleConnections(long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
closeIdleConnections</H3>
<PRE>
public void <B>closeIdleConnections</B>(long&nbsp;idletime,
                                 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Closes idle connections.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>idletime</CODE> - the time the connections should have been idle
                  in order to be closed now<DD><CODE>tunit</CODE> - the unit for the <code>idletime</code></DL>
</DD>
</DL>
<HR>

<A NAME="closeExpiredConnections()"><!-- --></A><H3>
closeExpiredConnections</H3>
<PRE>
public void <B>closeExpiredConnections</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="deleteClosedConnections()"><!-- --></A><H3>
deleteClosedConnections</H3>
<PRE>
public abstract void <B>deleteClosedConnections</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Deletes all entries for closed connections.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Shuts down this pool and all associated resources.
 Overriding methods MUST call the implementation here!
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="closeConnection(org.apache.http.conn.OperatedClientConnection)"><!-- --></A><H3>
closeConnection</H3>
<PRE>
protected void <B>closeConnection</B>(<A HREF="../../../../../../org/apache/http/conn/OperatedClientConnection.html" title="interface in org.apache.http.conn">OperatedClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Closes a connection from this pool.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - the connection to close, or <code>null</code></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractConnPool.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html" title="class in org.apache.http.impl.conn.tsccm"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/conn/tsccm/AbstractConnPool.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractConnPool.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
